Skip to main content

Notas del lanzamiento de Server 2022.3

Notas del lanzamiento de versiones del producto

Versión

Fecha

Lanzamiento

Fin del soporte

2022.3.1.395

29 de noviembre de 2022

Disponibilidad limitada

29 de noviembre de 2024

2022.3.1.430

25 de enero de 2023

Principal

29 de noviembre de 2024

2022.3.1.450 (parche 2)

8 de marzo de 2023

Secundario/Parche

29 de noviembre de 2024

2022.3.1.486 (parche 3)

2 de mayo de 2023

Secundario/Parche

29 de noviembre de 2024

2022.3.1.508 (parche 4)

28 de junio de 2023

Secundario/Parche

29 de noviembre de 2024

2022.3.1.532 (parche 5)

30 de agosto de 2023

Secundario/Parche

29 de noviembre de 2024

2022.3.1.553 (parche 6)

9 de noviembre de 2023

Secundario/Parche

29 de noviembre de 2024

2022.3.1.573 (Patch 7)

January 4, 2024

Minor/Patch

November 29, 2024

2022.3.1.590 (Patch 8)

February 15, 2024

Minor/Patch

November 29, 2024

Importante

Ten en cuenta que cualquier cliente que haya participado en el programa de disponibilidad limitada de 2022.3 debe proceder con una actualización completa a 2022.3.1.430, la cual reinstala Server en su totalidad con la versión de disponibilidad general de 2022.3.1.430.

Importante

Debido a la migración de criptografía en 2022.3, solo se puede actualizar a 2022.3 desde versiones de Alteryx Server 2021.2 y posteriores. Si tienes una versión anterior a 2021.2, actualiza a 2021.2 o a un lanzamiento más reciente antes de actualizar a 2022.3.

Importante

La versión 2022.3 de Alteryx Server ofrece productos independientes con disponibilidad general y capaces de operar con FIPS 140-2 . Ten en cuenta que estos estándares son desarrollados por el Instituto Nacional de Normas y Tecnología de Estados Unidos (NIST) para que las usen agencias gubernamentales y contratistas de ese país. Para obtener más información acerca de FIPS, consulta la página de preguntas frecuentes de FIPS del NIST .Alteryx Server-FIPS

La versión general (no FIPS) de Alteryx Server no es capaz de operar con FIPS. Hay disponible una versión (y un instalador) independientes con términos de licencia independientes para nuestros clientes de FIPS 140-2. Comunícate con tu representante de ventas de Alteryx para obtener más información.

Diferencias de características

Server-FIPS 2022.3 tiene algunas características que no están disponibles o que tienen funcionalidad limitada en comparación con las versiones anteriores de Server que no son FIPS. Consulta Alteryx Server y Alteryx Server-FIPS: diferencias de características como referencia.Alteryx Server y Alteryx Server-FIPS: diferencias de características

Importante

Instrucciones de instalación para usuarios con sistemas operativos japonés, chino, francés e italiano

Se muestra un error HTTP 500 al abrir la interfaz de usuario de Server (por ejemplo, HTTP500 error interno del servidor: no se puede mostrar esta página web). Para solucionar este problema, cambia la configuración de idioma en el sistema operativo que no está en inglés a inglés y, luego, instala Alteryx Server. Vuelve a cambiar el idioma a tu opción de preferencia después de la instalación.

Nota

Consideraciones sobre la actualización

A partir de la versión 2022.3, las versiones de Designer anteriores a la 2022.3 NO podrán compartir flujos de trabajo en Server desde Designer. Debes cargar esos flujos de trabajo en Server 2022.3 mediante la interfaz de usuario de administrador o la API. Para mantener la compatibilidad con Server, descarga la última versión de Designer.

Nota

Restablecimiento de contraseña obligatorio para la autenticación integrada

Si utilizas la autenticación integrada y realizas la actualización a partir de una versión anterior a la 22.1, deberás restablecer tu contraseña debido a mejoras de seguridad. Si no restableciste tu contraseña en la versión 22.1, debes tener habilitado SMTP. Esto es para que los usuarios puedan restablecer su contraseña a través de la funcionalidad de contraseña olvidada o para que un administrador pueda activar el restablecimiento de contraseña para todos los usuarios a través de la interfaz de usuario o una API. Para obtener más información sobre cómo restablecer la contraseña de Server después de la actualización a 22.1, visita la página de ayuda Restablecer la contraseña de un usuario de Server .Restablecer la contraseña de Alteryx Server de un usuario

Nota

Próximos cambios en el formato de la marca de tiempo

En un lanzamiento próximo, todas las marcas de tiempo en las bases de datos de Server se convertirán al formato UTC. No habrá ningún cambio en la funcionalidad en la interfaz de usuario de Server. Además, todas las horas se mostrarán según lo esperado de acuerdo con los ajustes de configuración de Server. Si tomas marcas de tiempo directamente desde la base de datos de Server, ten en cuenta que estas marcas se migrarán al formato UTC a fin de estandarizar todo el producto y mitigar los problemas del horario de verano.

Características nuevas

Actualizaciones del instalador

A partir de la versión 2022.3, Alteryx Designer, Alteryx Server y las herramientas predictivas R utilizan nueva tecnología de instalador. El instalador actualizado detecta el idioma del sistema operativo e instala los productos Alteryx en ese idioma (si está disponible). Ve a Descargar e instalar un producto  para obtener información importante sobre la actualización y el cambio a una versión anterior, y revisa las opciones actualizadas de la línea de comandos .

Herramienta de preparación para migración

Para utilizar la criptografía más reciente y recomendada en Server a fin de proteger los datos en reposo y los datos en vuelo, ahora tienes una forma de migrar tu criptografía a los algoritmos más modernos sin mucho tiempo de inactividad ni interrupción de tu negocio.

Como parte del traslado a una criptografía más moderna y capaz de operar con FIPS, en Alteryx alistamos una herramienta de preparación para migración a fin de mitigar el tiempo de inactividad de la ventana de mantenimiento que necesitas a fin de migrar todos los flujos de trabajo al nuevo estándar criptográfico.

La herramienta de preparación para migración para Server es una utilidad de línea de comandos independiente que permite una premigración más rápida al nuevo estándar AES256 de una base de datos de flujos de trabajo y aplicaciones.

Esta herramienta es opcional y solo se tiene que ejecutar una vez antes de realizar la actualización a cualquier versión anterior de Server a Server 2022.2.x (compilación de FIPS), 2022.3.x (compilaciones FIPS o de disponibilidad general) o posterior. Sin embargo, se recomienda ejecutar la herramienta de preparación para migración en ciertos casos.

Para obtener más información sobre esta herramienta, visita la página de ayuda Herramienta de preparación para migración. Herramienta de preparación para migración

Rediseño de la interfaz de usuario de Server

Rediseñamos estas páginas de administrador: Notificaciones, Configuración (anteriormente Configuración y Tema), Tareas, Programaciones, Materiales, Insights, Flujos de trabajo, Suscripciones, Diagnósticos, Conexiones de datos, Distritos, Páginas y Enlaces. La funcionalidad de estas páginas sigue siendo la misma.

También se actualizó la interfaz de usuario de búsqueda global. Los elementos devueltos en los resultados de búsqueda ahora incluyen más información, como la fecha de creación, el autor y el tipo. También puedes seleccionar los tipos de recursos que deseas incluir en la búsqueda. Estas actualizaciones te permiten tener más control sobre lo que buscas y obtener más información sobre los resultados de tu búsqueda directamente desde la página de búsqueda.

Localización

La localización en chino, francés, italiano, japonés, alemán, español y portugués se extendió a todas las páginas de Server, excepto la página de inicio de sesión y la página de aplicación analítica.

Actualizaciones del módulo criptográfico OpenSSL3

  • Hemos actualizado nuestro motor criptográfico agrupado OpenSSL3 a OpenSSL 3.0.7, el cual soluciona las vulnerabilidades de alta gravedad CVE-3602 y CVE-3786.

  • Hemos incluido el proveedor OpenSSL3 heredado, el cual proporciona algoritmos y cifrados antiguos (MD2, MD4, RC4, DES, IDEA, y otros) que ya no se empaquetan como parte del motor de cifrado principal de la serie 3.x. Ten en cuenta que el proveedor heredado no se carga, a menos que se habilite manualmente mediante una configuración de back-end en un host de Designer o Server determinado.

Actualizaciones de cifrado y hash

Las siguientes son las actualizaciones que hemos realizado en el cifrado de Server:

  • Todo el cifrado de los datos en reposo ahora utiliza AES256.

  • Los hash MD5 y SHA1 se actualizaron a SHA256.

  • Alteryx Server-FIPS utiliza estos módulos criptográficos con certificación FIPS 140-2:

    • OpenSSL versión 3.0.0 – Proveedor de OpenSSL FIPS – Certificados de algoritmos ( A1938 ) [1]

    • Windows 10 - Biblioteca de primitivas criptográficas - Certificado #3197

  • En el caso de Server-FIPS, los campos de aplicaciones analíticas no están cifrados en este lanzamiento. * Si tienes información de identificación personal (PII) en los campos de aplicaciones analíticas, estos datos no recibirán protección adicional.

* Corregimos esta afirmación el 23 de marzo de 2023, para indicar que solo afecta a Server-FIPS. En el lanzamiento estándar (no FIPS) de Alteryx Server, se protegerá la PII en los campos de aplicaciones analíticas.

API V3 de Server: puntos de conexión de flujos de trabajo, tareas y credenciales

También hemos realizado algunas actualizaciones en la API V3 de Server para usuarios con derechos de administrador y creador:

  • Como administrador de Alteryx Server, ahora puedes automatizar muchos procesos, como la carga de flujos de trabajo y el acceso a información de flujos de trabajo y credenciales.

  • Como usuario con derechos de creador, ahora puedes acceder a ciertos puntos de conexión /workflows y /jobs desde v1/v2/subscriptions como parte de tu API V3. Puedes publicar un flujo de trabajo y especificar credenciales de flujo de trabajo, para que dicho flujo tenga todos los metadatos necesarios para funcionar de forma correcta.

Para obtener más información acerca de la API v3 de Server, visita las páginas de ayuda API V3 de Alteryx Server y Objetos de API V3 de Server .Acceder a la API V3 de ServerObjetos de API V3 de Server

Actualización de la configuración del sistema

  • SSL/TLS: AlteryxService ahora admite TLS para la comunicación interna y directa de la capa de servicio. En Server-FIPS, TLS está activado para todos los servicios y no se puede desactivar.Debido a este cambio, debes instalar un certificado X.509 (TLS) en los nodos de controlador de interfaz de usuario de Server. Esto permite la comunicación entre nodos para trabajar con TLS. Recomendamos instalar certificados en todos los equipos que alojen Server, independientemente de su configuración. Para obtener más información sobre la configuración de TLS, ve a la página de ayuda Configuración del sistema .Configuración del sistema

  • Motor: cuando se activa la opción “Permitir a Server administrar los recursos del motor” en Configuración del sistema Motor General, la opción “Permitir a los usuarios anular esta configuración” se desactiva.

Actualización de compatibilidad con SAML

Se quitó la dependencia de IdentityServer 3 y el proceso AlteryxAuthHost.exe. La funcionalidad SAML ahora se proporciona como parte del proceso AlteryxServerWebApiHost.exe. Además, se agregó compatibilidad con la firma de solicitudes en esta actualización.

Esto significa que a partir de la versión 2022.3, utilizamos puntos de conexión de proveedor de servicios actualizados a través del servicio de la API web. Recuerda que las configuraciones existentes que usan los puntos de conexión anteriores siguen funcionando y no es necesario realizar ninguna acción en este momento para continuar utilizando SAML en el Alteryx Server existente.

URL base de ACS de configuración del sistema de Alteryx:

  • Valor predeterminado anterior: http(s)://host.domain.tld/aas/

  • Nuevo valor predeterminado: http(s)://host.domain.tld/webapi/

URI de público del proveedor de identidad:

  • Valor predeterminado anterior: http(s)://host.domain.tld/aas/Saml2

  • Nuevo valor predeterminado: http(s)://host.domain.tld/webapi/Saml2

URL de inicio de sesión único del proveedor de identidad:

  • Valor predeterminado anterior: http(s)://host.domain.tld/aas/Saml2/Acs

  • Nuevo valor predeterminado: http(s)://host.domain.tld/webapi/Saml2/Acs

Configuración de datos de uso

Hemos quitado la configuración para enviar datos de uso en la configuración del entorno de Server. Para obtener más información sobre nuestra filosofía sobre los datos de uso, consulta Mejora de nuestros productos con datos de uso y la Política de privacidad de Alteryx .

Obsolescencia del informe de uso de Server

El informe de uso de Server está disponible como una descarga independiente junto con el producto Server y ayuda a los administradores a obtener estadísticas valiosas sobre su entorno de Server ejecutando un flujo de trabajo en Designer que se conecta a su MongoDB.

Debido a cambios continuos en los esquemas de la base de datos de Server, la validez y el valor de los resultados del informe han disminuido con el tiempo y las nuevas adiciones de esquemas en la base de datos subyacente del producto Server no se capturarán en el informe de uso de Server de aquí en adelante. Como tal, el informe de uso de Server ya no se publicará junto con Server como una descarga independiente. Las versiones anteriores del informe seguirán estando disponibles para su descarga, pero los cambios continuos en la base de datos seguirán devaluando los resultados de este informe con el tiempo.

Al ser una macro de Designer, cualquier usuario puede descargar y actualizar este informe para su uso continuo según la información deseada de MongoDB. Sin embargo, el equipo de productos de Alteryx no actualizará ni mantendrá el informe a partir de su estado actual.

Si deseas enviar comentarios sobre el informe de uso de Server , rellena esta encuesta para que nuestro equipo de productos de Server pueda capturar adecuadamente cualquier solicitud de inclusión futura en nuestro conjunto de productos.Instalar el informe de uso de Server

Zona horaria para programaciones en la API V3 de Server

Se ha agregado una zona horaria para los siguientes puntos de conexión de API V3:

  • POST /v3/schedules: este punto de conexión se ha actualizado para permitirte establecer la hora y la zona horaria de las programaciones.

    Por ejemplo, si deseas establecer un horario para las 5:00 p. m., hora de la montaña, debes poder establecer el horario en 5:00 p. m. y seleccionar Hora de la montaña como zona horaria. La opción de zona horaria es opcional y, si no la especificas, la zona horaria predeterminada será la hora UTC.

  • PUT /v3/schedules: este punto de conexión se ha actualizado para permitirte actualizar las programaciones existentes creadas con la API y agregar una selección de zona horaria si lo deseas. 

    Por ejemplo, si has creado una programación utilizando los puntos de conexión de la API y la hora tenía que establecerse en UTC, deberías poder actualizar la programación y cambiar la hora y la zona horaria.

    Sin embargo, las programaciones existentes continuarán ejecutándose como se espera si decides no agregar una zona horaria.

  • GET /v3/schedules/{id}: este punto de conexión se ha actualizado; puedes ver la zona horaria de una programación existente filtrada por ID.

  • GET /v3/schedules: este punto de conexión se ha actualizado para que puedas ver las zonas horarias de todas las programaciones existentes.

Para obtener más información acerca de los puntos de conexión, accede a la documentación de Swagger seleccionando el ícono de signo de interrogación en la esquina superior derecha de la interfaz de Server. Para conocer las zonas horarias válidas que se pueden usar en los puntos de conexión de API anteriores, consulta la página de ayuda Puntos de conexión de programaciones .Puntos de conexión de programaciones

Opción de CLI para conectarse a un Controlador remoto

Como administrador, ahora puedes transferir de forma segura claves de cifrado desde tu entorno existente para migrar Server a un nuevo host o mitigar una interrupción.

Para obtener más información, ve a Proceso de transferencia de clave de cifrado .Encryption Key Transfer Process

Problemas conocidos y corregidos

Corregido

Lanzamiento de la versión de disponibilidad limitada 2022.3.1.395

Id.

Descripción

Versión

Estado del problema

TGAL-6307

Cuando se utiliza el punto de conexión /webapi/v1/workflows/{id}/package mediante la nueva documentación de API interactiva, el archivo .yxzp descargado se daña debido a un problema con SwaggerUI 2.0. Para solucionar este problema, recupera paquetes de la API utilizando código personalizado o herramientas API de terceros como Postman.

2022.3.1.395

Corregido

TGAL-6338

Algunos formularios de inicio de sesión de IdP no se representan correctamente en la configuración de Alteryx.

2022.3.1.395

Corregido

TGAL-6401

El enlace enviado por correo electrónico para confirmar una dirección de correo electrónico te lleva a un error que indica que el usuario ya se validó.

2022.3.1.395

Corregido

TGAL-6408

GS-622

Cuando se asigna la etiqueta de trabajador predeterminado a una suscripción, no se guarda correctamente.

2022.3.1.395

Corregido

TGAL-6417

TMEE-518

El nombre canónico no influye en las URL de notificaciónes.

2022.3.1.395

Corregido

TGAL-6425

GBETA-177

El cambio de permisos falla cuando se configura el usuario con un apellido nulo. No aparece ningún mensaje de error que te informe de la falla.

2022.3.1.395

Corregido

TGAL-6443

GCSE-453

El punto de conexión POST /v3/workflows/{workflowId}/versions no se muestra en la interfaz de usuario para flujos de trabajo cargados desde Designer.

2022.3.1.395

Corregido

TGAL-6468

GCSE-462

No se puede realizar el filtro de datos mediante el punto de conexión de la API de Server v3/schedules.

2022.3.1.395

Corregido

TGAL-6480

GBETA-302

Punto de conexión de los usuarios de la API V3 de Alteryx Server: error cuando se intenta crear el usuario.

2022.3.1.395

Corregido

TGAL-6482

API de Server: DELETE v3 para /users/ falla si hay un flujo de trabajo en el espacio público.

2022.3.1.395

Corregido

TGAL-6483

GCSE-479

API de Server: PUT /users/ v3 falla si el usuario tiene un apellido nulo.

2022.3.1.395

Corregido

TGAL-6530

2022.1: el perfil de usuarios sigue mostrando el evento de clave de API de suscripción aunque esa funcionalidad se eliminó en 22.1. Además, para los administradores es posible activar o desactivar la API desde una suscripción.

2022.3.1.395

Corregido

TGAL-6537

GCSE-502

Previsión de programaciones: se produjo un error cuando se intentó cargar los flujos de trabajo programados en la pestaña de Administrador > Tareas > Flujos de trabajos programados.

2022.3.1.395

Corregido

TGAL-6590

GCSE-561

El servicio no se inicia en MongoDB 4.2 con el motor de almacenamiento MMAPv1.

2022.3.1.395

Corregido

TGAL-6592

La API V3 para POST, PUT /workflows no permite la configuración de workflowCredentialType (tipo de credencial del flujo de trabajo).

2022.3.1.395

Corregido

TGAL-6702

TMEE-687

Las salidas .yxdb que contienen datos de mapa no presentan las vistas previas de forma correcta.

2022.3.1.395

Corregido

TGAL-6706

GCSE-635

Cuando una interfaz de usuario de Server tiene activada la opción “Desactivar descargas directas” en la configuración, cualquier flujo de trabajo que se haya migrado al entorno o que se haya cargado mediante la página Flujos de trabajo de administrador genera un error.

2022.3.1.395

Corregido

TGAL-6720

La clave de acceso de la API y el secreto de acceso de la API no están disponibles para los usuarios creados en la página "Usuarios".

2022.3.1.395

Corregido

TGAL-6740

API de Server: el punto de conexión POST /v3/workflows/{workflowId}/versions no funciona como se esperaba. Hemos desactivado temporalmente el punto de conexión. Volveremos a integrar el punto de conexión cuando haya una solución disponible.

2022.3.1.395

Corregido

TMEE-382

Los anuncios de banner ya no funcionan en 21.4+.

2022.3.1.395

Corregido

TMEE-383

El texto de desplazamiento no se muestra cuando se coloca el cursor sobre un anuncio de banner.

2022.3.1.395

Corregido

TMEE-444

Volver a ejecutar la aplicación: las preguntas de la aplicación se restablecen a los valores predeterminados en lugar de mantener los valores ingresados.

2022.3.1.395

Corregido

TMEE-457

La búsqueda global no funciona si la palabra clave contiene un guion bajo.

2022.3.1.395

Corregido

TMEE-520

GBETA-179

Las credenciales de API no aparecen, a menos que se actualice la página.

2022.3.1.395

Corregido

TMEE-549

GCSE-492

Actualización de 2021.4: problemas de visualización de metainformación en la interfaz de usuario de Server.

2022.3.1.395

Corregido

TMEE-564

TGAL-6536

Los usuarios creados no se reflejan hasta que un usuario actualiza la página en un entorno multinodo.

2022.3.1.395

Corregido

TMEE-606

La página Configuración de administrador devuelve los errores 400 y 500 al actualizar la configuración.

2022.3.1.395

Corregido

TMEE-608

Si se activa la opción “Usuarios pueden registrarse” en Administrador > Configuración > Configuración por activar (marcado), se desactiva la suscripción estableciendo “SignupDisabled” en True.

2022.3.1.395

Corregido

TMEE-609

Administrador - Distritos: en la página "Crear distrito", el texto de "Título" no se rellena automáticamente al seleccionar el campo NavLink.

2022.3.1.395

Corregido

TMEE-618

Administrador - Distritos: falta el ícono Restablecer a valores predeterminados en la ventana Cargar modal de ícono de distrito.

2022.3.1.395

Corregido

TMEE-630

Corrección de errores 22.2: mientras se utiliza Windows como método de autenticación, no se les debe solicitar a los administradores el nombre de usuario y la contraseña.

2022.3.1.395

Corregido

TMEE-636

Corrección de errores 22.2: los administradores no pueden cambiar el ícono de flujo de trabajo en los detalles de flujo de trabajo.

2022.3.1.395

Corregido

TMEE-643

Corrección de errores 22.2: los administradores no pueden ver la “Hora programada” como una columna en los trabajos.

2022.3.1.395

Corregido

TMEE-652

Búsqueda global en la interfaz de usuario de Server: error al mostrar “Creado por” para flujos de trabajo, páginas o distritos en los resultados de búsqueda global.

2022.3.1.395

Corregido

TMEE-824

Administrador - Usuarios: error al cargar archivos de imagen de perfil iguales o superiores a 197 KB e iguales o inferiores a 200 KB.

2022.3.1.395

Corregido

Corregido

Lanzamiento principal de la versión 2022.3.1.430

Id.

Descripción

Versión

Estado del problema

TCPE-490

GCSE-960

Un atributo de política CORS en la etiqueta AccessControlAllowOrigin del archivo RuntimeSettings.xml hace que la API web falle, lo que provoca que los nodos de Gallery no se inicien correctamente.

2022.3.1.430

Corregido

TGAL-6743

Es posible que, según tu configuración, los mapas base no se presenten en aplicaciones que utilicen la herramienta Entrada de mapa. Para obtener más información y saber cómo solucionar este problema, consulta Los mosaicos de mapas no se presentan en la interfaz de usuario de Server (artículo de la Comunidad).

2022.3.1.430

Corregido

TGAL-6794

Cuando guardes una nueva versión de un flujo de trabajo que ya tiene una programación, la nueva versión se ejecuta solo una vez y, a continuación, la programación vuelve a la versión anterior del flujo de trabajo.

2022.3.1.430

Corregido

TGAL-6986

El punto de conexión POST admin/v1/workflows/ obstaculiza la ejecución de un flujo de trabajo si dicho flujo tiene un nombre diferente al flujo de trabajo que se cargó originalmente.

2022.3.1.430

Corregido

TGAL-6990

GCSE-1027

La migración del esquema de base de datos falla si el entorno contiene conexiones de datos de Server con contraseñas NULAS o vacías.

2022.3.1.430

Corregido

TGAL-7078

GCSE-1069

Los flujos de trabajo de Server de disponibilidad limitada 2022.3 no se pueden volver a cargar después del cifrado.

2022.3.1.430

Corregido

TPRI-933

En las versiones posteriores a la 2021.4, solo el propietario del flujo de trabajo y los administradores pueden acceder a la configuración del flujo de trabajo . En los lanzamientos anteriores, todos los usuarios con acceso al flujo de trabajo podían acceder a la configuración del flujo de trabajo .

2022.3.1.430

Corregido

TPRI-935

No se pueden agregar usuarios a una suscripción en Alteryx Server configurado para la autenticación de Windows.

2022.3.1.430

Corregido

Corregido

Lanzamiento secundario/de parche 2 de la versión 2022.3.1.450

Id.

Descripción

Versión

Estado del problema

TGAL-7053

Los usuarios de Alteryx Server pueden ejecutar flujos de trabajo dentro de este cuando esos flujos de trabajo utilizan conexiones de datos de Alteryx Server que no se comparten explícitamente con ellos para otro uso dentro de Designer. Se trata de un ajuste global para todos los flujos de trabajo en una instancia de Server. Los administradores pueden controlar este ajuste en Administración  Configuración   > Configuración   > Activos .

2022.3.1.450

Corregido

TGAL-7199

Todas las versiones de flujos de trabajo publicados desde Designer se muestran como la versión 1 en Server. No es posible acceder a las versiones anteriores.

2022.3.1.450

Corregido

Corregido

Lanzamiento secundario/de parche 3 de la versión 2022.3.1.486

Id.

Descripción

Versión

Estado del problema

GDCM-2765

Un flujo de trabajo con una credencial que contiene un nombre de usuario y ninguna contraseña no se ejecuta después de la migración a 2022.3.

2022.3.1.486

Corregido

TGAL-6769

La conexión solo se comparte con los miembros directos del grupo de usuarios en Alteryx Server, no con los miembros del grupo de AD que pertenece a este grupo de usuarios en Alteryx Server.

2022.3.1.486

Corregido

TGAL-7247

Los administradores de Alteryx Server deben poder usar una conexión configurable en el trabajador para que se les permita usar credenciales de inicio de sesión únicas cuando se conectan directamente a MongoDB.

2022.3.1.486

Corregido

TGAL-7291

GCSE-1121

En la Interfaz de administrador de Alteryx Server, no se puede agregar una conexión de datos para Microsoft SQL Server con autenticación de Windows.

2022.3.1.486

Corregido

TPRI-972

Ventana emergente Historial de versiones de flujo de trabajo: no todas las versiones de flujo de trabajo se pueden ver cuando hay más de cinco versiones.

2022.3.1.486

Corregido

TPRI-1071

Cuando intentas ejecutar una versión de un flujo de trabajo que no sea la más reciente (versión más actual), el flujo de trabajo no se ejecuta correctamente. Server no envía la versión correcta para ejecutar.

2022.3.1.486

Corregido

Corregido

Lanzamiento secundario de la versión 2022.3.1.508

Id.

Descripción

Versión

Estado del problema

TGAL-7785

TCPE-587

GCSE-1149

Designer no se puede conectar directamente a un controlador remoto para crear ni administrar programaciones (Desktop Automation/Scheduler).

2022.3.1.508

Corregido

TPRI-1487

Cuando los propietarios de un flujo de trabajo o aplicación ejecutan de forma manual un flujo de trabajo en Server inmediatamente después de cambiar la versión publicada a una versión que difiere de la última (o más reciente) versión de ese flujo de trabajo, Server ejecutará la versión publicada en la primera ejecución manual en lugar de la última versión. Las ejecuciones manuales posteriores ejecutarán la versión más reciente como se espera.

2022.3.1.508

Corregido

Corregido

Lanzamiento secundario de la versión 2022.3.1.532

Id.

Descripción

Versión

Estado del problema

TCPE-618

GCSE-1210

Los flujos de trabajo cargados a través del punto de conexión de API admin/v1/workflows no se cargan en Alteryx Server después de actualizar a 2021.4 - 2022.3, lo que genera un error 404 en la pestaña de red y un error de “Página no encontrada”, que redirige a Mi espacio de trabajo como resultado.

2022.3.1.532

Corregido

TGAL-8397

Después de actualizar a Alteryx Server 2022.3, muchas revisiones de flujo de trabajo se muestran como la versión 0 en la interfaz de usuario de Server.

2022.3.1.532

Corregido

TPRI-1135

GBETA-362

Al programar un flujo de trabajo en Server, el usuario no tiene la opción de seleccionar un día del calendario.

2022.3.1.532

Corregido

Corregido

Lanzamiento secundario de la versión 2022.3.1.553

Id.

Descripción

Versión

Estado del problema

TCPE-597

GCSE-1178

Cuando confirmas la respuesta de SAML desde el proveedor de identidad (IDP) (cuando se utiliza Meta o x509), se obtiene una excepción.

2022.3.1.553

Corregido

TGAL-8569

La transferencia de DCMKey a través de la CLI no funciona en todas las claves.

2022.3.1.553

Corregido

TPRI-1077

GCSE-1135

Los mensajes de ejecución no se marcan en los resultados del flujo de trabajo en la interfaz de usuario de Server y, por lo tanto, no se pueden copiar por completo.

2022.3.1.553

Corregido

TPRI-2273

Los usuarios no pueden copiar texto de los mensajes de resultados de la tarea.

2022.3.1.553

Corregido

Fixed

Minor Release Version 2022.3.1.573

ID

Description

Version

Issues Status

TCPE-648

GCSE-1295

Telemetry XML generated for unsaved workflow runs picks up the WorkflowFilePath of a previously run, saved workflow in customer managed Telemetry XML.

2022.3.1.573

Fixed

TGAL-8184

TCPE-740

Certain CredentialPasswordID values are causing MongoDB migration to schema 42 to fail and preventing successful upgrade to 2022.3+.

2022.3.1.573

Fixed

Fixed

Minor Release Version 2022.3.1.590

ID

Description

Version

Issue Status

TCPE-921

GCSE-1888

The POST /admin/v1/workflows endpoint is returning "An item with the same key has already been added." exception message for specific YXZP files.

2022.3.1.590

Fixed

TGAL-9760

GCSE-1830

Controller token and MongoDB password is intermittently becoming corrupt causing service issues as a result.

2022.3.1.590

Fixed

Conocido

Lanzamiento de la versión de disponibilidad limitada 2022.3.1.395

Id.

Descripción

Versión

Estado del problema

TGAL-6264

GCSE-339

Los usuarios no se muestran en el menú desplegable “Agregar usuarios” en “Conexiones de datos” cuando el nombre de usuario está solo en caracteres japoneses.

2022.3.1.395

Conocido

TGAL-6357

GCSE-412

Al abrir el flujo de trabajo desde la ventana de interfaz de usuario de Server, este se cierra de inmediato.

2022.3.1.395

Conocido

TGAL-6394

GS-610

El horario de verano (DST) modifica la programación de intervalos futuros de tareas o flujos de trabajo. Cuando se programan durante el período de horario de verano entre las 2:00 a. m. y las 2:59 a. m., estos se envían al principio de este período. Para obtener más información sobre el cambio de DST, visita Programaciones: soporte para zonas horarias .Programaciones: soporte para zonas horarias

2022.3.1.395

Conocido

TGAL-6467

GCSE-464

El horario de verano (DST) hace que las programaciones se ejecuten a una hora incorrecta en Server: las programaciones quedan una hora atrasadas o adelantadas durante el horario de verano. Para obtener más información sobre el cambio de DST, visita Programaciones: soporte para zonas horarias .Programaciones: soporte para zonas horarias

2022.3.1.395

Conocido

TGAL-6743

Es posible que los mapas base no se presenten en aplicaciones que utilicen la herramienta Entrada de mapa, según la configuración. Para obtener más información y saber cómo solucionar este problema, consulta Los mosaicos de mapas no se presentan en la interfaz de usuario de Server (artículo de la Comunidad).

2022.3.1.395

Conocido

TGAL-6745

GCSE-723

API V3 de Server: la configuración “application/xml” o “text/xml” en el encabezado Aceptar de la solicitud de API devuelve un error o no devuelve los resultados en formato XML.

2022.3.1.395

Conocido

TGAL-6751

La página de inicio de sesión de administrador que utiliza SAML no muestra la pantalla de inicio de sesión de SAML.

2022.3.1.395

Conocido

TGAL-6756

Se devuelve un error cuando un administrador utiliza el botón “Reemplazar flujos de trabajo” para reemplazar un flujo de trabajo cargado por Designer a través de la API o la interfaz de usuario de Server.

2022.3.1.395

Conocido

TGAL-6825

La herramienta de preparación para migración acepta varias entradas en el indicador inicial para la entrada y las lee en secuencia. De esta forma, “yy” puede aprobar varios comandos sin que el usuario lo sepa.

2022.3.1.395

Conocido

TGAL-6848

GCSE-946

Problemas intermitentes de acceso a Server con colecciones y otras páginas después de actualizar a 2022.1.

2022.3.1.395

Conocido

TGAL-6990

GCSE-1027

La migración del esquema de base de datos falla si el entorno contiene conexiones de datos de Server con contraseñas NULAS o vacías.

2022.3.1.395

Conocido

TMEE-713

GCSE-637

Los mensajes de salida en las aplicaciones analíticas ejecutadas en Server no se muestran correctamente.

2022.3.1.395

Conocido

TMEE-772

GCSE-726

Cuando editas un programa semanal en 2022.1, selecciona todos los días en lugar de los días que antes habías seleccionado. Además, la casilla de verificación “Sin fecha de finalización” no se rellena previamente.

2022.3.1.395

Conocido

TMEE-845

GBETA-326

Mejoras en la interfaz de usuario y la experiencia de usuario de Server: el cuadro de texto para páginas nuevas de la Interfaz de usuario de administrador de Server no puede procesar entrada de texto en japonés.

2022.3.1.395

Conocido

TMEE-859

GBETA-342

Mejoras en la interfaz de usuario y la experiencia de usuario de Server: el mensaje "Asset Management" (Administración de activos) no está traducido.

2022.3.1.395

Conocido

TMEE-860

GBETA-343

Mejoras en la interfaz de usuario y la experiencia de usuario de Server: el extracto de texto en Distritos > Crear distritos tiene un problema de edición. Cuando se agrega un carácter en la mitad del texto, el cursor vuelve automáticamente al final del texto.

2022.3.1.395

Conocido

GSCE-1329

Error de la interfaz de usuario de Server en los sistemas operativos en japonés, chino, francés e italiano: se muestra un error HTTP 500 cuando se abre la interfaz de usuario de Server (por ejemplo, Error de servidor interno HTTP 500: no se puede mostrar esta página web). Para solucionar este problema, cambia la configuración de idioma en el sistema operativo que no está en inglés a inglés y, luego, instala Alteryx Server. Vuelve a cambiar el idioma a tu opción de preferencia después de la instalación.

2022.3.1.395

Conocido

TCPE-618

GCSE-1210

Los flujos de trabajo cargados a través del punto de conexión de API admin/v1/workflows no se cargan en Alteryx Server después de actualizar a 2021.4 - 2022.3, lo que genera un error 404 en la pestaña de red y un error de “Página no encontrada”, que redirige a Mi espacio de trabajo como resultado.

2022.3.1.395

Conocido

Conocido

Lanzamiento principal de la versión 2022.3.1.430

Id.

Descripción

Versión

Estado del problema

TGAL-7017

Los usuarios anónimos no pueden ejecutar flujos de trabajo públicos incluso si se habilitó la configuración “Usuarios no registrados pueden ejecutar flujos de trabajo en la página de inicio”.

2022.3.1.430

Conocido

TINST-503

TDES-4841

Después de instalar el parche de Server en la compilación de disponibilidad general de Server, la versión del parche no se muestra en la ventana "Acerca de" en Designer. En su lugar, se muestra solo la versión de Alteryx Server.

2022.3.1.430

Conocido

TPRI-1487

Cuando los propietarios de un flujo de trabajo o aplicación ejecutan de forma manual un flujo de trabajo en Server inmediatamente después de cambiar la versión publicada a una versión que difiere de la última (o más reciente) versión de ese flujo de trabajo, Server ejecutará la versión publicada en la primera ejecución manual en lugar de la última versión. Las ejecuciones manuales posteriores ejecutarán la versión más reciente como se espera.

2022.3.1.430

Conocido

GSCE-1329

Error de la interfaz de usuario de Server en los sistemas operativos en japonés, chino, francés e italiano: se muestra un error HTTP 500 cuando se abre la interfaz de usuario de Server (por ejemplo, Error de servidor interno HTTP 500: no se puede mostrar esta página web). Para solucionar este problema, cambia la configuración de idioma en el sistema operativo que no está en inglés a inglés y, luego, instala Alteryx Server. Vuelve a cambiar el idioma a tu opción de preferencia después de la instalación.

2022.3.1.430

Conocido

Actualizaciones de seguridad

Conocido

Id.

Descripción

Versión

Estado del problema

TGAL-2207

A divulgar*.

Todas las versiones 2022.x

Conocido

TGAL-6764

A divulgar*.

Todas las versiones 2022.x

Conocido

TGAL-6772

GCSE-822

A divulgar*.

Todas las versiones 2022.x

Conocido

* De acuerdo con las prácticas recomendadas de seguridad y para evitar la posible manipulación por parte de agentes maliciosos, Alteryx no revela los detalles de ninguna vulnerabilidad abierta hasta que todas las versiones compatibles se actualicen con una corrección. A partir de 2022.3, las versiones y actualizaciones estarán y continuarán disponibles hasta que se haya proporcionado la corrección para todas las versiones compatibles. Para asegurarte de que todas las versiones que utilizas se corrijan sin demora, se recomienda realizar actualizaciones periódicas. Se proporcionará más información una vez que se haya corregido la vulnerabilidad en todas las versiones compatibles que fueron afectadas.

Corregido

Lanzamiento secundario/de parche 3 de la versión 2022.3.1.486

Id.

Descripción

Versión

Estado del problema

TGAL-2207

A divulgar*.

2022.3.1.486

Corregido

TVULC-1373

A divulgar*.

2022.3.1.486

Corregido

* De acuerdo con las prácticas recomendadas de seguridad y para evitar la posible manipulación por parte de agentes maliciosos, Alteryx no revela los detalles de ninguna vulnerabilidad abierta hasta que todas las versiones compatibles se actualicen con una corrección. Se proporcionará más información una vez que se haya corregido la vulnerabilidad en todas las versiones compatibles afectadas.

Corregido

Lanzamiento secundario/de parche 5 de la versión 2022.3.1.532

Id.

Descripción

Versión

Estado del problema

TGAL-8405

GCSE-1571

A divulgar*.

2022.3.1.532

Corregido

* De acuerdo con las prácticas recomendadas de seguridad y para evitar la posible manipulación por parte de agentes maliciosos, Alteryx no revela los detalles de ninguna vulnerabilidad abierta hasta que todas las versiones compatibles se actualicen con una corrección. Se proporcionará más información una vez que se haya corregido la vulnerabilidad en todas las versiones compatibles afectadas.

Corregido

Lanzamiento secundario/de parche 6 de la versión 2022.3.1.553

Id.

Descripción

Versión

Estado del problema

TCUD-423

Actualización de la biblioteca Chromium Embedded Framework (CEF) para abordar el vector potencial de CVE-2023-4863 (libwebp).

2022.3.1.553

Corregido

TGAL-8498

GVM-584

A divulgar*.

2022.3.1.553

Corregido